NX Open C++ Reference Guide
|
Represents a Features::ThroughCurves builder. More...
Public Types | |
enum | BodyPreferenceTypes { BodyPreferenceTypesSolid, BodyPreferenceTypesSheet } |
This enum represents the body type option. More... | |
enum | ConstructionMethod { ConstructionMethodNormal, ConstructionMethodSplinePoints, ConstructionMethodSimple } |
This enum represents the Construction options. More... | |
enum | PatchTypes { PatchTypesSingle, PatchTypesMultiple, PatchTypesMatchString } |
This enum represents the Patch options. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::AlignmentMethodBuilder * | Alignment () |
Returns the alignment. | |
NXOpen::Features::ThroughCurvesBuilder::BodyPreferenceTypes | BodyPreference () |
Returns the body type options Created in NX7.5.0. | |
bool | ClosedInV () |
Returns the closed in V. | |
NXOpen::Features::ThroughCurvesBuilder::ConstructionMethod | Construction () |
Returns the construction options. | |
double | CurvatureTolerance () |
Returns the curvature tolerance. | |
NXOpen::GeometricUtilities::Continuity * | FirstSectionContinuity () |
Returns the first section continuity. | |
NXOpen::GeometricUtilities::FlowDirection * | FlowDirection () |
Returns the flow direction. | |
NXOpen::GeometricUtilities::Continuity * | LastSectionContinuity () |
Returns the last section continuity. | |
NXOpen::GeometricUtilities::Rebuild * | LoftingSurfaceRebuildData () |
Returns the lofting surface rebuild data. | |
bool | NormalToEndSections () |
Returns the option of normal to end sections for Through Curves surface, which makes the output surface normal to the two end sections.If an end section is planar, the surface will be parallel to the plane normal at the end.If an end section is a 3D curve, an average normal vector will be computed, and the surface will be parallel to the average normal at the end. | |
NXOpen::Features::ThroughCurvesBuilder::PatchTypes | PatchType () |
Returns the patch type. | |
double | PositionTolerance () |
Returns the position tolerance. | |
bool | PreserveShape () |
Returns the preserve shape. | |
NXOpen::SectionList * | SectionsList () |
Returns the sections list which is required. | |
NXOpen::GeometricUtilities::Rebuild * | SectionSurfaceRebuildData () |
Returns the section surface rebuild data. | |
NXOpen::Section * | SectionTemplateString () |
Returns the section template curve. | |
void | SetBodyPreference (NXOpen::Features::ThroughCurvesBuilder::BodyPreferenceTypes bodyPreference) |
Sets the body type options Created in NX7.5.0. | |
void | SetClosedInV (bool closedInV) |
Sets the closed in V. | |
void | SetConstruction (NXOpen::Features::ThroughCurvesBuilder::ConstructionMethod construction) |
Sets the construction options. | |
void | SetCurvatureTolerance (double tolerance) |
Sets the curvature tolerance. | |
void | SetNormalToEndSections (bool normalToEndSections) |
Sets the option of normal to end sections for Through Curves surface, which makes the output surface normal to the two end sections.If an end section is planar, the surface will be parallel to the plane normal at the end.If an end section is a 3D curve, an average normal vector will be computed, and the surface will be parallel to the average normal at the end. | |
void | SetPatchType (NXOpen::Features::ThroughCurvesBuilder::PatchTypes patchType) |
Sets the patch type. | |
void | SetPositionTolerance (double tolerance) |
Sets the position tolerance. | |
void | SetPreserveShape (bool preserveShape) |
Sets the preserve shape. | |
void | SetSectionTemplateString (NXOpen::Section *sectionTemplate) |
Sets the section template curve. | |
void | SetTangentTolerance (double tolerance) |
Sets the tangent tolerance. | |
double | TangentTolerance () |
Returns the tangent tolerance. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::ThroughCurves builder.
<br> This builder lets you create or edit a body through a collection of curve outlines in one direction. The curve outlines are referred to as section strings. <br> <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateThroughCurvesBuilder Features::FeatureCollection::CreateThroughCurvesBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Alignment.AlignType |
Parameter |
ClosedInV |
False |
Construction |
Normal |
FirstSectionContinuity.ContinuityType |
G0 |
FlowDirection.FlowDirectionType |
NotSpecified |
LastSectionContinuity.ContinuityType |
G0 |
LoftingSurfaceRebuildData.Degree |
3 |
LoftingSurfaceRebuildData.RebuildType |
None |
NormalToEndSections |
False |
PatchType |
Multiple |
PreserveShape |
True |
SectionSurfaceRebuildData.RebuildType |
None |
Created in NX5.0.0.
This enum represents the Patch options.
NXOpen::GeometricUtilities::AlignmentMethodBuilder* NXOpen::Features::ThroughCurvesBuilder::Alignment | ( | ) |
Returns the alignment.
See GeometricUtilities::AlignmentMethodBuilder for details.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
NXOpen::Features::ThroughCurvesBuilder::BodyPreferenceTypes NXOpen::Features::ThroughCurvesBuilder::BodyPreference | ( | ) |
Returns the body type options
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ThroughCurvesBuilder::ClosedInV | ( | ) |
Returns the closed in V.
When this option is ON, the sheet is closed along columns (that is, the V direction).
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
NXOpen::Features::ThroughCurvesBuilder::ConstructionMethod NXOpen::Features::ThroughCurvesBuilder::Construction | ( | ) |
Returns the construction options.
Use one of three construction options when you create a Through Curves feature: Normal, Use Spline Points and Simple.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
double NXOpen::Features::ThroughCurvesBuilder::CurvatureTolerance | ( | ) |
Returns the curvature tolerance.
Control the curvature tolerance of the rebuild surface in relation to the input curves.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::ThroughCurvesBuilder::FirstSectionContinuity | ( | ) |
Returns the first section continuity.
See GeometricUtilities::Continuity for details. Define continuity constraint at the first section side. It contains the continuity type and the constraint face.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::FlowDirection* NXOpen::Features::ThroughCurvesBuilder::FlowDirection | ( | ) |
Returns the flow direction.
See GeometricUtilities::FlowDirection for details.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::ThroughCurvesBuilder::LastSectionContinuity | ( | ) |
Returns the last section continuity.
See GeometricUtilities::Continuity for details. Define continuity constraint at the last section side. It contains the continuity type and the constraint face.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::ThroughCurvesBuilder::LoftingSurfaceRebuildData | ( | ) |
Returns the lofting surface rebuild data.
See GeometricUtilities::Rebuild for details.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
bool NXOpen::Features::ThroughCurvesBuilder::NormalToEndSections | ( | ) |
Returns the option of normal to end sections for Through Curves surface, which makes the output surface normal to the two end sections.If an end section is planar, the surface will be parallel to the plane normal at the end.If an end section is a 3D curve, an average normal vector will be computed, and the surface will be parallel to the average normal at the end.
If an end section is a line, the normal vector will be computed so that it points from the end section to the section next to the end section.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
NXOpen::Features::ThroughCurvesBuilder::PatchTypes NXOpen::Features::ThroughCurvesBuilder::PatchType | ( | ) |
Returns the patch type.
Lets you create a body containing a single patch or multiple patches.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
double NXOpen::Features::ThroughCurvesBuilder::PositionTolerance | ( | ) |
Returns the position tolerance.
Control the distance accuracy of the rebuild surface in relation to the input curves.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
bool NXOpen::Features::ThroughCurvesBuilder::PreserveShape | ( | ) |
Returns the preserve shape.
Allow you to keep sharp edges, overriding the default of approximating the output surface. Setting the Tolerance to 0.0 will achieve the same result.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
NXOpen::SectionList* NXOpen::Features::ThroughCurvesBuilder::SectionsList | ( | ) |
Returns the sections list which is required.
See ObjectList for details. The section strings define the rows of the body. A section string can consist of a single object or multiple objects, and each object can be one of the following: a curve or a solid edge.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::ThroughCurvesBuilder::SectionSurfaceRebuildData | ( | ) |
Returns the section surface rebuild data.
See GeometricUtilities::Rebuild for details.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
NXOpen::Section* NXOpen::Features::ThroughCurvesBuilder::SectionTemplateString | ( | ) |
Returns the section template curve.
Control the building of the simple surface in section curve direction. It is only available when the construction method is simple. If you leave it empty, the system will automatically choose the most complicated one for fitting.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
void NXOpen::Features::ThroughCurvesBuilder::SetBodyPreference | ( | NXOpen::Features::ThroughCurvesBuilder::BodyPreferenceTypes | bodyPreference | ) |
Sets the body type options
Created in NX7.5.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
bodyPreference | bodypreference |
void NXOpen::Features::ThroughCurvesBuilder::SetClosedInV | ( | bool | closedInV | ) |
Sets the closed in V.
When this option is ON, the sheet is closed along columns (that is, the V direction).
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
closedInV | closed in v |
void NXOpen::Features::ThroughCurvesBuilder::SetConstruction | ( | NXOpen::Features::ThroughCurvesBuilder::ConstructionMethod | construction | ) |
Sets the construction options.
Use one of three construction options when you create a Through Curves feature: Normal, Use Spline Points and Simple.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
construction | construction |
void NXOpen::Features::ThroughCurvesBuilder::SetCurvatureTolerance | ( | double | tolerance | ) |
Sets the curvature tolerance.
Control the curvature tolerance of the rebuild surface in relation to the input curves.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
tolerance | tolerance |
void NXOpen::Features::ThroughCurvesBuilder::SetNormalToEndSections | ( | bool | normalToEndSections | ) |
Sets the option of normal to end sections for Through Curves surface, which makes the output surface normal to the two end sections.If an end section is planar, the surface will be parallel to the plane normal at the end.If an end section is a 3D curve, an average normal vector will be computed, and the surface will be parallel to the average normal at the end.
If an end section is a line, the normal vector will be computed so that it points from the end section to the section next to the end section.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
normalToEndSections | normal to end sections |
void NXOpen::Features::ThroughCurvesBuilder::SetPatchType | ( | NXOpen::Features::ThroughCurvesBuilder::PatchTypes | patchType | ) |
Sets the patch type.
Lets you create a body containing a single patch or multiple patches.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
patchType | patch type |
void NXOpen::Features::ThroughCurvesBuilder::SetPositionTolerance | ( | double | tolerance | ) |
Sets the position tolerance.
Control the distance accuracy of the rebuild surface in relation to the input curves.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
tolerance | tolerance |
void NXOpen::Features::ThroughCurvesBuilder::SetPreserveShape | ( | bool | preserveShape | ) |
Sets the preserve shape.
Allow you to keep sharp edges, overriding the default of approximating the output surface. Setting the Tolerance to 0.0 will achieve the same result.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
preserveShape | preserve shape |
void NXOpen::Features::ThroughCurvesBuilder::SetSectionTemplateString | ( | NXOpen::Section * | sectionTemplate | ) |
Sets the section template curve.
Control the building of the simple surface in section curve direction. It is only available when the construction method is simple. If you leave it empty, the system will automatically choose the most complicated one for fitting.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
sectionTemplate | sectiontemplate |
void NXOpen::Features::ThroughCurvesBuilder::SetTangentTolerance | ( | double | tolerance | ) |
Sets the tangent tolerance.
Control the angular accuracy of the rebuild surface in relation to the input curves.It is expressed in degree.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")
tolerance | tolerance |
double NXOpen::Features::ThroughCurvesBuilder::TangentTolerance | ( | ) |
Returns the tangent tolerance.
Control the angular accuracy of the rebuild surface in relation to the input curves.It is expressed in degree.
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")